stat.norm.exp {sma} | R Documentation

## Normalization of log Intensity Ratios across slides / experiments.

### Description

Performs scale normalization across slides (experiments)

### Usage

    stat.norm.exp(X)

### Arguments

`X` | X is a matrix of log intensity ratios M=log_2 (R/G) The rows of X correspond to genes and columns correspond to different hybridizations, that is different slides (experiments).

### Value

A matrix of normalized log intensity ratios across different slides. For the matrix in each of the components, rows correspond to genes and columns correspond to different hybridizations, that is different slides. This methods scale the matrix such that each column has the same median absolute deviation.

### Author(s)

Yee Hwa Yang, yeehwa@stat.berkeley.edu

### References

Y. H. Yang, S. Dudoit, P. Luu and T. P. Speed. Normalization for cDNA Microarray Data. (Statistics, UC Berkeley, Tech Report # 589).

### See Also

`ma.func`, `norm.l.func`, `norm.pin.func`, `norm.scale.func`, `plot.mva`, `lowess`.

### Examples

    data(MouseArray)
    ## mouse.setup <- init.grid()
    ## mouse.data <- init.data() ## see \emph{init.data}
    mouse.lratio <- stat.ma(mouse.data, mouse.setup)
    mouse.norm.lratio <- stat.norm.exp(mouse.lratio$M)

[Package sma version 0.5.14 Index]